libyami1-1.3.0+20180629.0067a64-21.3.i586.rpm


Advertisement

Description

libyami1 - Library components for libyami

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Multimedia Libs all
Package name libyami1
Package version 1.3.0+20180629.0067a64
Package release 21.3
Package architecture i586
Package type rpm
Installed size 1.07 MB
Download size 316.65 KB
Official Mirror ftp.gwdg.de
The libyami library implements an interface to libva for Linux.
This package provides the runtime environment for libyami.

Alternatives

Package Version Architecture Repository
libyami1-1.3.0+20180629.0067a64-21.3.x86_64.rpm 1.3.0+20180629.0067a64 x86_64 openSUSE Multimedia Libs
libyami1-1.3.0-4.1.i586.rpm 1.3.0 i586 openSUSE Oss
libyami1-1.3.0-4.1.x86_64.rpm 1.3.0 x86_64 openSUSE Oss
libyami1 - - -

Requires

Name Value
/sbin/ldconfig -
libX11.so.6 -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
libva-drm.so.2 -
libva-x11.so.2 -
libva.so.2 -
libva.so.2(VA_API_0.33.0) -

Provides

Name Value
libyami.so.1 -
libyami1 = 1.3.0+20180629.0067a64-21.3
libyami1(x86-32) = 1.3.0+20180629.0067a64-21.3

Download

Type URL
Binary Package libyami1-1.3.0+20180629.0067a64-21.3.i586.rpm
Source Package libyami-1.3.0+20180629.0067a64-21.3.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ opensuse-multimedia-libs
  2. Install libyami1 rpm package:
    # zypper install libyami1

Files

Path
/usr/lib/libyami.so.1
/usr/lib/libyami.so.1.3.0
/usr/share/doc/packages/libyami1/NEWS
/usr/share/doc/packages/libyami1/README.md
/usr/share/licenses/libyami1/LICENSE.md

Changelog

2018-07-20 - mimi.vx@gmail.com
- Update to version 1.3.0+20180629.0067a64:
- move to git version - fixes for GCC8+ are almost in all commits
- drop fix-build-with-libva-1.x.diff
* unittest: decoder, enable lowlatency test
* configure.ac: bump API version to 0.5.5 for VIDEO_DECODE_BUFFER_FLAG
* h264, h265: add VIDEO_DECODE_BUFFER_FLAG_FRAME_END to inidicate frame end
* h264dec: fix low lantecy mode
* Add flags for SDL signoff called SDL325 - Compile With Defenses Enabled
* android: re-enable android build
* vp8enc: make some deconsturctor virtulized
* interface: remove extern C for decoder,encoder,vpp
* egl: protect YamiV4L2_UseEglImage with __ENABLE_EGL__
* v4l2: fix compile warnning for V4L2_BUF_TYPE_VIDEO_OUTPUT_MPLANE
2018-02-06 - olaf@aepfle.de
- Align libva version with configure.ac to fix build
2017-12-31 - zaitor@opensuse.org
- Add conditional pkgconfig(libva-wayland) BuildRequires and pass
conditional --enable-wayland="yes" to configure, build wayland
support for selected versions of openSUSE.
2017-12-22 - alarrosa@suse.com
- Add fix-build-with-libva-1.x.diff to fix builds with libva 1. The patch
is only applied when building in Leap 42.x .
2017-12-04 - adrien.plazas@suse.com
- Update to version 1.3.0:
* Implement H.264 SVC-T new reference mode.
* Implement H.264 low latency mode.
* Improve v4l2 interface,support dynamic resolution change.
* JPEG decoder fixes and Y800 support.
- Changes from version 1.2.0:
* Depends on libva 1.8.1.
* Improve vp9 10 bit decoder conformance.
* Improve h265 8/10 bit decoder conformance.
* Add decoder/display zero-copy API.
* Use decoder/display zero copy API in v4l2 decoder.
* Expose vp9 qp setting to the user.
* Change API from 0.4.0 to 0.5.0 for following interface changes:
- Get/set surface in SurfaceAllocParams.
- Add VIDEO_DATA_MEMORY_TYPE_EXTERNAL_DMA_BUF.
2017-03-21 - jengelh@inai.de
- Correct RPM groups again. Fix error in description.
2017-02-19 - mpluskal@suse.com
- Cleanup spec file:
* Run spec-clener
* Trim not needed sections
* Use correct rpm groups
* Install license
* Correct openSUSE spelling
2017-01-21 - seanvk@posteo.de
- Update for Release 1.1.0
2017-01-19 - seanvk@posteo.de
- Initial SPEC file

See Also

Package Description
libzen-devel-0.4.37-8.8.i586.rpm Include files to develop for libzen
libzen-devel-0.4.37-8.8.x86_64.rpm Include files to develop for libzen
libzen0-0.4.37-8.8.i586.rpm The ZenLib C++ utility library
libzen0-0.4.37-8.8.x86_64.rpm The ZenLib C++ utility library
libzen0-32bit-0.4.37-8.8.x86_64.rpm The ZenLib C++ utility library
libzimg2-2.7.5-1.2.i586.rpm Scaling, colorspace conversion, and dithering library
libzimg2-2.7.5-1.2.x86_64.rpm Scaling, colorspace conversion, and dithering library
libzimg2-32bit-2.7.5-1.2.x86_64.rpm Scaling, colorspace conversion, and dithering library
libzita-convolver4-32bit-4.0.0-7.2.x86_64.rpm A partitioned convolution engine library
libzita-convolver4-4.0.0-7.2.i586.rpm A partitioned convolution engine library
libzita-convolver4-4.0.0-7.2.x86_64.rpm A partitioned convolution engine library
lilv-0.24.2-34.10.i586.rpm C library to make use of LV2 plugins
lilv-0.24.2-34.10.x86_64.rpm C library to make use of LV2 plugins
live555-devel-2017.10.28-24.16.i586.rpm LIVE555 Streaming Media
live555-devel-2017.10.28-24.16.x86_64.rpm LIVE555 Streaming Media
Advertisement
Advertisement